Skip to main content
POST
/
customers
Create customer
curl --request POST \
  --url https://api.finpace.tech/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "cus_01J8YF6B",
  "partyId": "<string>",
  "segment": "sme",
  "status": "active",
  "riskRating": "medium"
}
'
{
  "customerId": "cus_01J8YF6B",
  "partyId": "<string>",
  "segment": "sme",
  "status": "active",
  "riskRating": "medium"
}

Documentation Index

Fetch the complete documentation index at: https://docs.finpace.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
customerId
string
required
Example:

"cus_01J8YF6B"

partyId
string
required
segment
string
required
Example:

"sme"

status
string
required
Example:

"active"

riskRating
string
Example:

"medium"

Response

200 - application/json

OK

customerId
string
required
Example:

"cus_01J8YF6B"

partyId
string
required
segment
string
required
Example:

"sme"

status
string
required
Example:

"active"

riskRating
string
Example:

"medium"